<?php
if (!defined("WHMCS"))
	die("This file cannot be accessed directly");

function annual_orders_bars($vars) {
	global $_ADMINLANG,$chart;

	$title = 'Completed Order Overview for '.date("Y");

	$args = array();
	$args['colors'] = '#888888,#FF9900';
	$args['chartarea'] = '80,40,85%,70%';
	$args['xlabel'] = 'Month of Year';
	$args['ylabel'] = 'Number of Orders';

	$content = $chart->drawChart('Column',chartdata_annual_orders_bars(),$args,'300px');

	return array( 'title' => $title, 'content' => $content );
}

function chartdata_annual_orders_bars() {
        $thisyear = date("Y");
        $lastyear = date("Y",strtotime("-1 year"));

	$chartdata = array();
	$chartdata['cols'][] = array('label'=>'Month','type'=>'string');
	$chartdata['cols'][] = array('label'=>$lastyear,'type'=>'number');
	$chartdata['cols'][] = array('label'=>$thisyear,'type'=>'number');
	
	$months = array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
        if (!$year) $year = date("Y");

	for ( $rawmonth = 1; $rawmonth <= 12; $rawmonth++ ) {
		$month = str_pad($rawmonth, 2, 0, STR_PAD_LEFT);

		$completedorders = get_query_val("tblorders","COUNT(*)","date LIKE '$thisyear-$month-%' AND status='Active'");
		$completedorders2 = get_query_val("tblorders","COUNT(*)","date LIKE '$lastyear-$month-%' AND status='Active'");

		$chartdata['rows'][] = array('c'=>array(array('v'=>$months[$rawmonth-1]),array('v'=>(int)$completedorders2),array('v'=>(int)$completedorders)));
	}
	return $chartdata;
}
 
add_hook("AdminHomeWidgets",1,"annual_orders_bars");
 
?>
