<?php
if (!defined("WHMCS"))
	die("This file cannot be accessed directly");

function income_overview_bars($vars) {
	global $_ADMINLANG,$chart;

	$title = 'Income Overview for '.date("Y");

	$args = array();
	$args['colors'] = '#F9D88C,#3070CF';
	$args['chartarea'] = '80,40,85%,70%';
	$args['xlabel'] = 'Month of Year';
	$args['ylabel'] = 'Default Currency';

	$content = $chart->drawChart('Column',chartdata_annual_overview_bars(),$args,'300px');

	return array( 'title' => $title, 'content' => $content );
}

function chartdata_annual_overview_bars() {
        $thisyear = date("Y");
        $lastyear = date("Y",strtotime("-1 year"));

	$chartdata = array();
	$chartdata['cols'][] = array('label'=>'Days Range','type'=>'string');
	$chartdata['cols'][] = array('label'=>$lastyear,'type'=>'number');
	$chartdata['cols'][] = array('label'=>$thisyear,'type'=>'number');

	$months = array('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');

	for ( $counter = 1; $counter <= 12; $counter += 1) {
		$month = $months[$counter-1];
		$counter = str_pad($counter, 2, "0", STR_PAD_LEFT);
		$data = get_query_vals("tblaccounts","SUM(amountin/rate),SUM(fees/rate),SUM(amountout/rate)","date LIKE '$thisyear-$counter-%'");
		$amountin = $data[0];
		$fees = $data[1];
		$amountout = $data[2];
		$monthlybalance = $amountin-$fees-$amountout;
		$overallbalance += $monthlybalance;
		$prevyearbal = get_query_val("tblaccounts","SUM((amountin-fees-amountout)/rate)","date LIKE '".$lastyear."-$counter-%'");
		$prevyearbal = round($prevyearbal,2);
		$chartdata['rows'][] = array('c'=>array(array('v'=>$month),array('v'=>$prevyearbal,'f'=>formatCurrency($prevyearbal)),array('v'=>$monthlybalance,'f'=>formatCurrency($monthlybalance))));
		$amountin = formatCurrency($amountin);
		$fees = formatCurrency($fees);
		$amountout = formatCurrency($amountout);
		$monthlybalance = formatCurrency($monthlybalance);
	}
	return $chartdata;
}
 
add_hook("AdminHomeWidgets",1,"income_overview_bars");
 
?>
